	.include "2313def.inc"
	.def Temp=R18
	.def Temp1=R19
	ldi R20,0b11111111 ; 
        out ddrb,R20

        ldi R20,0b00111111
         out ddrd,R20
	
	ldi R16,RamEnd	; 
        out SPL,R16
	
	ldi Temp,0           ; 
                              	           ;  
	cli
	CLR R27
	LDI R26,$60
ReadArray:
          ldi ZH,High(MyArray*2) ;  0-
          ldi ZL,Low(MyArray*2)  ;  .  Z

          ldi Temp1,0
          add ZL,Temp          ;
          adc ZH,Temp1         ;. 

          lpm                  ;  

          ST X, R0         ;
          INC R26
          inc Temp                 ;. . 
          CPI TEMP,45
          BRNE ReadArray       ;  
	  RJMP IndicCycle
MyArray:
.db $0E,$09,$09,$39
.db $0D,$09,$09,$39
.db $0B,$09,$09,$39
.db $0F,$01,$09,$39
.db $0F,$09,$01,$39
.db $0F,$09,$09,$31
.db $0F,$09,$09,$29
.db $0F,$09,$09,$19
.db $0F,$09,$09,$38
.db $0F,$09,$08,$39
.db $0F,$08,$09,$39
       


	
;*********************************************************
;MAIN
;*********************************************************

IndicCycle:     LDI R26,$60
		rcall Display        ; 
                rjmp IndicCycle

;*********************************************************

;    

Display:	CLR R30
L1:		LD R5,X
		INC R26
		LDI R20,0b00001110
		out PortD, R20
		out PortB,R5
		rcall Delay1
		
		LD R5,X
		INC R26
		LDI R20,0b00001101
		out PortD, R20
		out PortB,R5
		rcall Delay1

		LD R5,X
		INC R26
		LDI R20,0b00001011
		out PortD, R20
		out PortB,R5
		rcall Delay1

		LD R5,X
		INC R26
		LDI R20,0b00000111
		out PortD, R20
		out PortB,R5
		rcall Delay1
		
		INC R30
		CPI R30, $0B
		BRNE L1
		RET

;*********************************************************
Delay1:       
        PUSH R5
	PUSH R20
	PUSH R26
		
	clr R7
        ldi R17,55

d11:    nop
	nop
	nop
	nop
	nop
	nop
	dec R7
         brne d11
     	dec R17
         brne d11
             
	POP R26
	POP R20
	POP R5
 ret


